Security Enhanced Linux Reference Policy

# Layer: services

## Module: snmp

Interfaces

### Description:

Simple network management protocol services

### Interfaces:

snmp_admin( domain , role )

##### Summary

All of the rules required to administrate an snmp environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the snmp domain.

snmp_dontaudit_read_snmp_var_lib_files( domain )

##### Summary

dontaudit Read snmpd libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

snmp_dontaudit_write_snmp_var_lib_files( domain )

##### Summary

dontaudit write snmpd libraries files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

snmp_read_snmp_var_lib_files( domain )

##### Summary

Read snmpd libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_tcp_connect( domain )

##### Summary

Use snmp over a TCP connection. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_udp_chat( domain )

##### Summary

Send and receive UDP traffic to SNMP (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return